Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# self.get_strikes

strategies.strategy.Strategy.get_strikes(self, asset)

  Returns a list of strikes for a give underlying asset.

  Using the chains dictionary obtained from get_chains finds all the multiplier for the option chains on a given exchange.

  Parameters:

    asset (Asset) – Asset object as normally used for an option but without the strike information. The Asset object must be an option asset type.

  Returns:

    Sorted list of strikes as floats.

  Return type:

    list of floats

  Example

      >>> # Will return the strikes for SPY
      >>> asset = "SPY"
      >>> strikes = self.get_strikes(asset)